REM @echo off

setlocal

REM while using 4.X version of Crossworlds, set CWVERSION to 4.X
set CWVERSION="4.X"
set ORBCLASSPATH=com.inprise.vbroker.orb.ORB

REM while using 3.x version of Crossworlds, set CWVERSION to 3.X
REM set CWVERSION="3.X"
if %CWVERSION%=="3.X" set ORBCLASSPATH=com.visigenic.vbroker.orb.ORB

REM Define local batch PATH to insure we execute our java.exe
set PATH="%CROSSWORLDS%"\bin;%PATH%

REM set the directory where the specific connector resides
set CONNDIR="%CROSSWORLDS%"\connectors\%1


REM goto the connector specific drive & directory
cd /d %CONNDIR%


REM set the name to be the application connector that is starting
set CONNAME=%1
set CONNPACKAGENAME=com.crossworlds.connectors.sap.visionframework.VisionConnectorAgent

REM set the server name to be the interchange that is being targeted
set SERVER=%2

set JAVA="%CROSSWORLDS%"\lib\rt.jar
set CXCLASSES="%CROSSWORLDS%"\lib\crossworlds.jar
set CAPI="%CROSSWORLDS%"\lib\CWConnectorAPI.jar
set CW_DATAHANDLER_JAR="%CROSSWORLDS%"\DataHandlers\CwDataHandler.jar;"%CROSSWORLDS%"\DataHandlers\CustDataHandler.jar

REM set vision class paths 
set CONN_JAR="%CONNDIR%"\CW%CONNAME%.jar
set JCO_JAR="%CONNDIR%"\jCO.jar

REM set PATH= "%CONNDIR%"\librfc32.dll;%PATH%
set PATH= "%CONNDIR%";%PATH%

set MQ="%CROSSWORLDS%"\lib\mq.jar
set SSLJ="%CROSSWORLDS%"\lib\sslj.jar
set CERTJ="%CROSSWORLDS%"\lib\certj.jar
set JSAFE="%CROSSWORLDS%"\lib\jsafe.jar
set JAVA_SECURITY="%CROSSWORLDS%"\lib\jce1_2-do.jar

set ORB1="%CROSSWORLDS%"\lib\vbjorb.jar
set ORB2="%CROSSWORLDS%"\lib\vbjapp.jar

set JCLASSES=%JAVA%;%CXCLASSES%;%MQ%;%CONNDIR%;"%CROSSWORLDS%"\connectors;%ORB1%;%ORB2%;%SSLJ%;%CERTJ%;%JSAFE%;%CONN_JAR%;%JCO_JAR%;%JAVA_SECURITY%;%CAPI%;%CW_DATAHANDLER_JAR%

REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine

REM start the Java connector under the Java Application End

"%CROSSWORLDS%\bin\java" -mx128m -Djava.library.path="%CROSSWORLDS%"\bin;"%CONNDIR%" -Dorg.omg.CORBA.ORBClass=%ORBCLASSPATH% -Dorg.omg.CORBA.ORBSingletonClass=%ORBCLASSPATH% -Duser.home="%CROSSWORLDS%" -cp %JCLASSES%; AppEndWrapper -l%CONNPACKAGENAME% -n%CONNAME%Connector -s%SERVER% -t %3 %4 %5


endlocal

pause
